<?php

if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
elseif(!defined('SMF'))
	die('<b>Error:</b> Cannot install - please verify that you put this file in the same place as SMF\'s index.php and SSI.php files.');

if ((SMF == 'SSI') && !$user_info['is_admin'])
	die('Admin privileges required.');
	
// Settings
$oops = array(
	'fancybox_open_effect' => 'fade',
	'fancybox_open_speed' => 250,
	'fancybox_close_effect' => 'elastic',
	'fancybox_close_speed' => 250,
	'fancybox_next_effect' => 'none',
	'fancybox_next_speed' => 300,
	'fancybox_prev_effect' => 'none',
	'fancybox_prev_speed' => 300,
	'fancybox_title_position' => 'float',
	'fancybox_playspeed' => 3000,
	'fancybox_panel_position' => 'bottom'
);

if (empty($context['uninstalling']) && !isset($modSettings['fancybox_open_effect']))
	updateSettings($oops);

// Hooks
$hooks = array(
	'integrate_pre_include' => '$sourcedir/Subs-FancyBox.php',
	'integrate_load_theme' => 'fancybox_load_theme',
	'integrate_bbc_codes' => 'fancybox_bbc_codes',
	'integrate_admin_areas' => 'fancybox_admin_areas',
	'integrate_modify_modifications' => 'fancybox_modifications'
);

if (empty($context['uninstalling']))
	$call = 'add_integration_function';
else
	$call = 'remove_integration_function';

foreach ($hooks as $hook => $function)
	$call($hook, $function);

if (SMF == 'SSI')
	echo 'Database changes are complete! Please wait...';

?>